CHCON(1)

NAME
chcon - change file security context

SYNOPSIS
chcon [OPTION]... CONTEXT FILE...
chcon [OPTION]... [-u USER] [-r ROLE] [-l RANGE] [-t TYPE] FILE...
chcon [OPTION]... --reference=RFILE FILE...

DESCRIPTION

Change the security context of each FILE to CONTEXT. With --reference, change the security context of each FILE to that of RFILE.

Mandatory arguments to long options are mandatory for short options too.

--dereference
    affect the referent of each symbolic link (this is the default), rather than the symbolic link itself

-h, --no-dereference
    affect symbolic links instead of any referenced file

-u, --user=USER
    set user USER in the target security context

-r, --role=ROLE
    set role ROLE in the target security context

-t, --type=TYPE
    set type TYPE in the target security context

-l, --range=RANGE
    set range RANGE in the target security context

--no-preserve-root
    do not treat '/' specially (the default)

--preserve-root
    fail to operate recursively on '/'

--reference=RFILE
    use RFILE's security context rather than specifying a CONTEXT value

-R, --recursive
    operate on files and directories recursively

-v, --verbose
    output a diagnostic for every file processed

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect.

-H  if a command line argument is a symbolic link to a directory, traverse it

-L  traverse every symbolic link to a directory encountered

-P  do not traverse any symbolic links (default)

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Russell Coker and Jim Meyering.

REPORTING BUGS
Report chcon bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report chcon translation bugs to <http://translationproject.org/team/>

Packaged by Gentoo (8.21 (p1.0))
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for chcon is maintained as a Texinfo manual. If the info and chcon programs are properly installed at your site, the command

    info coreutils 'chcon invocation'

should give you access to the complete manual.